Name: xfce-utils
Version: 4.2.2
Release: alt2

Summary: Utilities for the XFce Desktop Environment
Summary(ru_RU.CP1251):     XFce
License: GPL
Group: Graphical desktop/XFce
Url: http://www.xfce.org/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source0: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2
Source2: xfce.wmsession
Source3: xfce4-48x48.xpm
Source4: xfce4-32x32.xpm
Source5: xfce4-16x16.xpm
Patch1: %name-4.2.2-alt-screensaver.patch
Patch2: %name-4.1.90-alt-no_xfcalendar.patch

Requires: libxfcegui4 >= %version, libxfce4mcs, xfce-mcs-manager >= %version

BuildPreReq: libxfcegui4-devel >= %version, libxfce4mcs-devel >= %version
BuildPreReq: xfce-mcs-manager-devel >= %version, xinitrc

# Automatically added by buildreq on Thu May 19 2005
BuildRequires: fontconfig freetype2 gcc-c++ glib2-devel libatk-devel libdbh-devel libgtk+2-devel libpango-devel libstartup-notification libstdc++-devel libxfce4mcs-devel libxfce4util-devel libxfcegui4-devel pkgconfig xfce-mcs-manager-devel xorg-x11-devel

%description
%name contains utilities for the XFce Desktop Environment.

%description -l ru_RU.CP1251
%name      XFce.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%configure
%make_build

%install
%make install DESTDIR=%buildroot
%__install -pD -m644 %SOURCE3 %buildroot%_liconsdir/XFce.xpm
%__install -pD -m644 %SOURCE4 %buildroot%_iconsdir/XFce.xpm
%__install -pD -m644 %SOURCE5 %buildroot%_miconsdir/XFce.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_sysconfdir/X11/wmsession.d/10XFce
%find_lang %name

%post
%update_menus
%update_wms

%postun
%clean_menus
%clean_wms

%files -f %name.lang
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%doc %_datadir/xfce4/AUTHORS*
%doc %_datadir/xfce4/BSD*
%doc %_datadir/xfce4/COPYING*
%doc %_datadir/xfce4/GPL*
%doc %_datadir/xfce4/INFO*
%doc %_datadir/xfce4/LGPL*
%_datadir/xfce4/doc/*.png
%_datadir/xfce4/doc/*.css
%_datadir/xfce4/doc/*/*.html
%_datadir/xfce4/doc/*/images/*
%_sysconfdir/X11/wmsession.d/*
%config(noreplace) %_sysconfdir/xdg/xfce4/*
%_bindir/*
%_libdir/xfce4/mcs-plugins/*.so
%exclude %_libdir/xfce4/mcs-plugins/*.a
%exclude %_libdir/xfce4/mcs-plugins/*.la
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%_datadir/applications/*
%_iconsdir/hicolor/48x48/apps/*
%_iconsdir/hicolor/scalable/apps/*

%changelog
* Fri Jun 24 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.2-alt2
- Fixed bug #7195.

* Wed May 18 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.2-alt1
- 4.2.2

* Thu Mar 17 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.1-alt1
- 4.2.1

* Wed Mar 02 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt2
- Fixed bug #6179.

* Sat Jan 15 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt1
- 4.2.0

* Fri Dec 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.99.3-alt1
- 4.1.99.3

* Mon Nov 01 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.91-alt1
- 4.1.91

* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.6-alt1
- 4.0.6

* Mon May 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt2
- Removed xscreensaver and xscreenlock from startup script.

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt1
- 4.0.5

* Wed Mar 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt2
- Removed xfcalendar from automatic startup.

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Mon Feb 02 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt2
- Modified patch for screen locking.

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Mon Dec 22 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.2-alt1
- 4.0.2
- Doesn't requires xscreensaver.

* Tue Nov 18 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Mon Nov 03 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt2
- Rebuilt with new icon.

* Fri Sep 26 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Fri Sep 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt1
- 3.99.4

* Fri Aug 29 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.3-alt0.9
- 3.99.3

* Sun Aug 17 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.2-alt0.9
- 3.99.2

* Mon Jul 14 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.1-alt0.9
- 3.99.1

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 3.90.0-alt0.9
- First version of RPM package for Sisyphus.
- Spec based on original version.
